ImgSvr 0.6 Template Parameter Local File Include Vulnerability



source: http://www.securityfocus.com/bid/24853/info


ImgSvr is prone to a local file-include vulnerability because it fails to sanitize user-supplied input.

Attackers may exploit this issue to access files that may contain sensitive information.

UPDATE (December 24, 2007): According to the vendor, this issue was addressed in ImgSvr 0.6.21. However, reports indicate that this version is still vulnerable.

GET /?template=../../../../../../../../../../etc/passwd HTTP/1.0